<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.FddSealInfoMapper">

	<resultMap id="fddSealInfoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.FddSealInfo">
		<id property="id" column="ID"/>
		<result property="sealName" column="SEAL_NAME"/>
		<result property="deleteFlag" column="DELETE_FLAG"/>
		<result property="sealId" column="SEAL_ID"/>
		<result property="status" column="STATUS"/>
		<result property="sysFlag" column="SYS_FLAG"/>
		<result property="sealCompanyId" column="SEAL_COMPANY_ID"/>
		<result property="createBy" column="CREATE_BY"/>
		<result property="updateBy" column="UPDATE_BY"/>
		<result property="createTime" column="CREATE_TIME"/>
		<result property="updateTime" column="UPDATE_TIME"/>
		<result property="createName" column="CREATE_NAME"/>
	</resultMap>

	<sql id="Base_Column_List">
		a.ID,
        a.SEAL_NAME,
        a.DELETE_FLAG,
        a.SEAL_ID,
        a.STATUS,
        a.SYS_FLAG,
        a.SEAL_COMPANY_ID,
		a.CREATE_BY,
        a.CREATE_NAME,
        a.CREATE_TIME,
        a.UPDATE_BY,
        a.UPDATE_TIME
	</sql>

	<sql id="fddSealInfo_where">
		<if test="fddSealInfo != null">
			<if test="fddSealInfo.id != null and fddSealInfo.id.trim() != ''">
				AND a.ID = #{fddSealInfo.id}
			</if>
			<if test="fddSealInfo.sealName != null and fddSealInfo.sealName.trim() != ''">
				AND a.SEAL_NAME = #{fddSealInfo.sealName}
			</if>
			<if test="fddSealInfo.deleteFlag != null">
				AND a.DELETE_FLAG = #{fddSealInfo.deleteFlag}
			</if>
			<if test="fddSealInfo.sealId != null and fddSealInfo.sealId.trim() != ''">
				AND a.SEAL_ID = #{fddSealInfo.sealId}
			</if>
			<if test="fddSealInfo.status != null and fddSealInfo.status.trim() != ''">
				AND a.STATUS = #{fddSealInfo.status}
			</if>
			<if test="fddSealInfo.sysFlag != null and fddSealInfo.sysFlag.trim() != ''">
				AND a.SYS_FLAG = #{fddSealInfo.sysFlag}
			</if>
			<if test="fddSealInfo.sealCompanyId != null">
				AND a.SEAL_COMPANY_ID = #{fddSealInfo.sealCompanyId}
			</if>
			<if test="fddSealInfo.createBy != null and fddSealInfo.createBy.trim() != ''">
				AND a.CREATE_BY = #{fddSealInfo.createBy}
			</if>
			<if test="fddSealInfo.createName != null and fddSealInfo.createName.trim() != ''">
				AND a.CREATE_NAME = #{fddSealInfo.createName}
			</if>
			<if test="fddSealInfo.createTime != null">
				AND a.CREATE_TIME = #{fddSealInfo.createTime}
			</if>
			<if test="fddSealInfo.updateBy != null and fddSealInfo.updateBy.trim() != ''">
				AND a.UPDATE_BY = #{fddSealInfo.updateBy}
			</if>
			<if test="fddSealInfo.updateTime != null">
				AND a.UPDATE_TIME = #{fddSealInfo.updateTime}
			</if>
		</if>
	</sql>

	<!--fddSealInfo简单分页查询-->
	<select id="getFddSealInfoPage" resultMap="fddSealInfoMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM fdd_seal_info a
		<where>
			1=1 and DELETE_FLAG=0
			<include refid="fddSealInfo_where"/>
		</where>
	</select>
</mapper>
